Subject: Re: [PATCH v2 net-next 1/9] phy: phy-ocelot-serdes: add ability to be used in a non-syscon configuration

From: Lee Jones <[email-masked]>
Date: Mon, 20 Mar 2023 16:41:36 +0000

On Mon, 20 Mar 2023, Russell King (Oracle) wrote:

> On Mon, Mar 20, 2023 at 01:34:31PM +0000, Lee Jones wrote:
> > On Mon, 20 Mar 2023, Russell King (Oracle) wrote:
> >
> > > On Mon, Mar 20, 2023 at 02:19:44PM +0530, Vinod Koul wrote:
> > > > On 17-03-23, 11:54, Colin Foster wrote:
> > > > > The phy-ocelot-serdes module has exclusively been used in a syscon setup,
> > > > > from an internal CPU. The addition of external control of ocelot switches
> > > > > via an existing MFD implementation means that syscon is no longer the only
> > > > > interface that phy-ocelot-serdes will see.
> > > > >
> > > > > In the MFD configuration, an IORESOURCE_REG resource will exist for the
> > > > > device. Utilize this resource to be able to function in both syscon and
> > > > > non-syscon configurations.
> > > >
> > > > Applied to phy/next, thanks
> > >
> > > Please read the netdev FAQ. Patches sent to netdev contain the tree that
> > > the submitter wishes the patches to be applied to.
> > >
> > > As a result, I see davem has just picked up the *entire* series which
> > > means that all patches are in net-next now. net-next is immutable.
> > >
> > > In any case, IMHO if this kind of fly-by cherry-picking from patch
> > > series is intended, it should be mentioned during review to give a
> > > chance for other maintainers to respond and give feedback. Not all
> > > submitters will know how individual maintainers work. Not all
> > > maintainers know how other maintainers work.
> >
> > Once again netdev seems to have applied patches from other subsystems
> > without review/ack.  What makes netdev different to any other kernel
> > subsystem?  What would happen if other random maintainers started
> > applying netdev patches without appropriate review?  I suspect someone
> > would become understandably grumpy.
>
> Why again are you addressing your whinge to me? I'm not one of the
> netdev maintainers, but I've pointed out what happens in netdev
> land. However, you seem to *not* want to discuss it directly with
> DaveM/Jakub/Paolo - as illustrated again with yet another response
> to *me* rather than addressing your concerns *to* the people who
> you have an issue with.
>
> This is not communication. Effectively, this is sniping, because
> rather than discussing it with the individuals concerned, you are
> instead preferring to discuss it with others.
>
> Please stop this.

Read the above paragraph again.

It was an open question, *intentionally* not directed *at* anyone.

You just happen to be the one describing yet another unfortunate
situation.  Consider yourself a victim of circumstance and try not to
take any of it personally.

It's the workflow and the assumptions that I'm unhappy about and that I
think should be improved upon.  The gripe is not against any one
individual or individuals.

--
Lee Jones [李琼斯]